blob: fbf99f0322a7be2c16cfead4c5857955590a8d05 [file] [log] [blame]
Tom Rini1a62a722019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyes8b0b5012023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes74bcbb12023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyes8b0b5012023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleycb735172022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Tom Rini453c3fb2023-08-25 13:21:27 -040013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20230804-25Aug2023
Tom Rini1a62a722019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rini1a62a722019-06-19 09:25:17 -040017 - testsuites
Tom Rinib29cb052019-07-24 13:09:31 -040018 - test.py
Tom Rini1a62a722019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rini1a62a722019-06-19 09:25:17 -040022 stage: test.py
Tom Rini58b35852023-07-11 22:33:03 -040023 retry: 2 # QEMU may be too slow, etc.
Andrejs Cainikovs399f7392023-09-13 16:15:36 +020024 rules:
25 - when: always
Tom Rini1a62a722019-06-19 09:25:17 -040026 before_script:
27 # Clone uboot-test-hooks
Tom Rinibd181a22022-11-21 12:52:40 -050028 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini85ae52b2021-02-24 17:05:04 -050029 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rini1a62a722019-06-19 09:25:17 -040030 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
31 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini28a51232019-10-04 12:12:54 -040032 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
33 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Meng49fb28a2020-03-28 07:25:29 -070034 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Heinrich Schuchardta9666342023-10-25 00:15:43 +020035 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
36 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070037 fi
Bin Meng0e60b3a2021-08-26 23:33:35 +080038 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Heinrich Schuchardta9666342023-10-25 00:15:43 +020039 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ;
40 export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070041 fi
Tom Rinib29cb052019-07-24 13:09:31 -040042
Tom Rini1a62a722019-06-19 09:25:17 -040043 after_script:
Marek Vasute5670732023-03-03 02:22:25 +010044 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
Heinrich Schuchardt24df1b12019-12-19 13:30:32 +010045 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rini1a62a722019-06-19 09:25:17 -040046 script:
Simon Glassdd5c9542020-03-18 09:42:57 -060047 # If we've been asked to use clang only do one configuration.
Simon Glass4e32fed2020-03-18 09:42:55 -060048 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass1aa168c2022-08-03 12:13:09 -060049 - echo BUILD_ENV ${BUILD_ENV}
Simon Glass9cea4792023-01-15 14:16:00 -070050 - if [ -n "${BUILD_ENV}" ]; then
51 export ${BUILD_ENV};
52 fi
Simon Glass7ec12552020-03-18 09:43:00 -060053 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
54 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020055 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
56 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
57 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020058 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
59 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0e60b3a2021-08-26 23:33:35 +080060 # create sdcard / spi-nor images for sifive unleashed using genimage
61 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
62 mkdir -p root;
63 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
64 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
65 rm -rf tmp;
66 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
67 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
68 rm -rf tmp;
69 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
70 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
71 fi
Simon Glassbfb2a7f2022-01-21 10:23:01 -070072 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
73 wget -O -
Simon Glassc60e6a22023-08-11 12:17:43 -060074 "https://drive.google.com/uc?id=1uJ2VkUQ8czWFZmhJQ90Tp8V_zrJ6BrBH&export=download" |
Simon Glassbfb2a7f2022-01-21 10:23:01 -070075 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
76 wget -O -
77 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
78 cbfstool;
79 chmod a+x cbfstool;
80 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
81 fi
Tom Rini085b8972019-10-24 11:59:27 -040082 - virtualenv -p /usr/bin/python3 /tmp/venv
83 - . /tmp/venv/bin/activate
84 - pip install -r test/py/requirements.txt
Simon Glass4080d092020-03-18 09:42:56 -060085 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass4e32fed2020-03-18 09:42:55 -060086 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rini1a62a722019-06-19 09:25:17 -040087 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardtf3092472020-07-10 22:04:40 +020088 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass4080d092020-03-18 09:42:56 -060089 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glasscec1e852020-03-18 09:42:59 -060090 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Marek Vasute5670732023-03-03 02:22:25 +010091 artifacts:
92 when: always
93 paths:
94 - "*.html"
95 - "*.css"
96 expire_in: 1 week
Tom Rini1a62a722019-06-19 09:25:17 -040097
Andrejs Cainikovs399f7392023-09-13 16:15:36 +020098.world_build:
Tom Rini1a62a722019-06-19 09:25:17 -040099 stage: world build
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200100 rules:
101 - when: always
102
103build all 32bit ARM platforms:
104 extends: .world_build
Tom Rini1a62a722019-06-19 09:25:17 -0400105 script:
106 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500107 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinif586cda2023-07-22 00:14:46 +0530108 pip install -r tools/buildman/requirements.txt;
Tom Rinid7713ad2022-11-09 19:14:53 -0700109 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600110 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600111 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400112 exit $ret;
113 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400114
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200115build all 64bit ARM platforms:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200116 extends: .world_build
Tom Rini9f7bda12019-07-17 17:51:28 -0400117 script:
Tom Rini26a426a2020-02-11 12:41:14 -0500118 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rinif0db8392019-07-18 07:28:36 -0400119 - . /tmp/venv/bin/activate
Tom Rini9f7bda12019-07-17 17:51:28 -0400120 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500121 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinif586cda2023-07-22 00:14:46 +0530122 pip install -r tools/buildman/requirements.txt;
Tom Rinid7713ad2022-11-09 19:14:53 -0700123 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600124 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600125 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400126 exit $ret;
127 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400128
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200129build all PowerPC platforms:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200130 extends: .world_build
Tom Rini9f7bda12019-07-17 17:51:28 -0400131 script:
132 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500133 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassdd5c9542020-03-18 09:42:57 -0600134 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
135 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600136 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400137 exit $ret;
138 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400139
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200140build all other platforms:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200141 extends: .world_build
Tom Rini9f7bda12019-07-17 17:51:28 -0400142 script:
143 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500144 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700145 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600146 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600147 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400148 exit $ret;
149 fi;
Tom Rini1a62a722019-06-19 09:25:17 -0400150
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200151.testsuites:
Tom Rinic1a7de52021-12-14 13:36:41 -0500152 stage: testsuites
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200153 rules:
154 - when: always
155
156check for new CONFIG symbols outside Kconfig:
157 extends: .testsuites
Tom Rinic1a7de52021-12-14 13:36:41 -0500158 script:
Tom Rinibb9b9c12022-12-04 10:14:15 -0500159 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
160 # If grep succeeds and finds a match the test fails as we should
161 # have no matches.
162 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rinia03efb62023-01-10 11:19:46 -0500163 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
164 :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
Tom Rinic1a7de52021-12-14 13:36:41 -0500165
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100166# build documentation
167docs:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200168 extends: .testsuites
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100169 script:
Heinrich Schuchardt836049d2021-01-25 22:06:25 +0100170 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
171 - . /tmp/venvhtml/bin/activate
172 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt8a6414d2023-05-02 05:04:11 +0200173 - make htmldocs KDOC_WERROR=1
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100174 - make infodocs
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100175
Tom Rini1a62a722019-06-19 09:25:17 -0400176# ensure all configs have MAINTAINERS entries
177Check for configs without MAINTAINERS entry:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200178 extends: .testsuites
Tom Rini1a62a722019-06-19 09:25:17 -0400179 script:
Tom Rinid6b32972023-10-23 11:37:47 -0400180 - ./tools/buildman/buildman --maintainer-check
Tom Rini1a62a722019-06-19 09:25:17 -0400181
182# Ensure host tools build
Tom Rini562ed112023-08-20 13:31:28 -0400183Build tools-only and envtools:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200184 extends: .testsuites
Tom Rini1a62a722019-06-19 09:25:17 -0400185 script:
Tom Rini562ed112023-08-20 13:31:28 -0400186 - make tools-only_config tools-only -j$(nproc);
187 make mrproper;
188 make tools-only_config envtools -j$(nproc)
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200189
Tom Rini72618332020-03-11 18:11:15 -0400190Run binman, buildman, dtoc, Kconfig and patman testsuites:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200191 extends: .testsuites
Tom Rini1a62a722019-06-19 09:25:17 -0400192 script:
Tom Rinid7ae9322019-08-12 10:09:08 -0400193 - git config --global user.name "GitLab CI Runner";
194 git config --global user.email trini@konsulko.com;
Tom Rinib6d4e082022-08-09 21:08:54 -0400195 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7ae9322019-08-12 10:09:08 -0400196 export USER=gitlab;
Tom Rini26a426a2020-02-11 12:41:14 -0500197 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rinid7ae9322019-08-12 10:09:08 -0400198 . /tmp/venv/bin/activate;
Tom Rini38229b52021-02-26 07:52:29 -0500199 pip install -r test/py/requirements.txt;
Tom Rinif586cda2023-07-22 00:14:46 +0530200 pip install -r tools/buildman/requirements.txt;
Tom Rini48f792e2023-08-10 12:52:24 -0400201 export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only;
Tom Rinid7ae9322019-08-12 10:09:08 -0400202 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
203 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinib6d4e082022-08-09 21:08:54 -0400204 set +e;
Simon Glass6c914e42021-03-15 17:25:34 +1300205 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini48f792e2023-08-10 12:52:24 -0400206 --board tools-only;
Tom Rinib6d4e082022-08-09 21:08:54 -0400207 set -e;
Tom Rinid7ae9322019-08-12 10:09:08 -0400208 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
209 ./tools/buildman/buildman -t;
210 ./tools/dtoc/dtoc -t;
Simon Glass6bb74de2020-07-05 21:41:55 -0600211 ./tools/patman/patman test;
Tom Rini72618332020-03-11 18:11:15 -0400212 make testconfig
Tom Rini1a62a722019-06-19 09:25:17 -0400213
Simon Glass642e51a2022-02-11 13:23:26 -0700214# Check for any pylint regressions
215Run pylint:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200216 extends: .testsuites
Simon Glass642e51a2022-02-11 13:23:26 -0700217 script:
Tom Rinib6d4e082022-08-09 21:08:54 -0400218 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glass642e51a2022-02-11 13:23:26 -0700219 - pip install -r test/py/requirements.txt
Tom Rinif586cda2023-07-22 00:14:46 +0530220 - pip install -r tools/buildman/requirements.txt
Tom Rinie47bbf72022-03-25 08:19:09 -0400221 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glass642e51a2022-02-11 13:23:26 -0700222 - export PATH=${PATH}:~/.local/bin
223 - echo "[MASTER]" >> .pylintrc
224 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
Tom Rini48f792e2023-08-10 12:52:24 -0400225 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
Tom Rinib6d4e082022-08-09 21:08:54 -0400226 - set +e
Simon Glass642e51a2022-02-11 13:23:26 -0700227 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini48f792e2023-08-10 12:52:24 -0400228 --board tools-only
Tom Rinib6d4e082022-08-09 21:08:54 -0400229 - set -e
Simon Glass642e51a2022-02-11 13:23:26 -0700230 - pylint --version
231 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
232 - make pylint_err
233
Simon Glass441a3d02023-02-13 08:56:39 -0700234# Check for pre-schema driver model tags
235Check for pre-schema tags:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200236 extends: .testsuites
Simon Glass441a3d02023-02-13 08:56:39 -0700237 script:
238 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
239 # If grep succeeds and finds a match the test fails as we should
240 # have no matches.
241 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
242
Simon Glassc21a5282023-02-23 18:18:24 -0700243# Check we can package the Python tools
244Check packing of Python tools:
Andrejs Cainikovs399f7392023-09-13 16:15:36 +0200245 extends: .testsuites
Simon Glassc21a5282023-02-23 18:18:24 -0700246 script:
247 - make pip
248
Tom Rini1a62a722019-06-19 09:25:17 -0400249# Test sandbox with test.py
250sandbox test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400251 variables:
252 TEST_PY_BD: "sandbox"
Tom Rini1a62a722019-06-19 09:25:17 -0400253 <<: *buildman_and_testpy_dfn
254
Tom Rini0219d012019-11-06 19:30:47 -0500255sandbox with clang test.py:
Tom Rini0219d012019-11-06 19:30:47 -0500256 variables:
257 TEST_PY_BD: "sandbox"
Tom Rinid7e06782023-03-21 15:07:45 -0400258 OVERRIDE: "-O clang-16"
Tom Rini0219d012019-11-06 19:30:47 -0500259 <<: *buildman_and_testpy_dfn
260
Marek Vasutc807bdd2023-09-01 10:48:10 +0200261sandbox64 test.py:
262 variables:
263 TEST_PY_BD: "sandbox64"
264 <<: *buildman_and_testpy_dfn
265
266sandbox64 with clang test.py:
267 variables:
268 TEST_PY_BD: "sandbox64"
269 OVERRIDE: "-O clang-16"
270 <<: *buildman_and_testpy_dfn
271
Tom Rini1a62a722019-06-19 09:25:17 -0400272sandbox_spl test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400273 variables:
274 TEST_PY_BD: "sandbox_spl"
Simon Glassafb26ba2020-10-25 20:38:36 -0600275 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rini1a62a722019-06-19 09:25:17 -0400276 <<: *buildman_and_testpy_dfn
277
Simon Glass6c914e42021-03-15 17:25:34 +1300278sandbox_noinst_test.py:
Simon Glass6c914e42021-03-15 17:25:34 +1300279 variables:
280 TEST_PY_BD: "sandbox_noinst"
281 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
282 <<: *buildman_and_testpy_dfn
283
Sean Andersonb93cc1e2023-10-14 16:47:59 -0400284sandbox_noinst with LOAD_FIT_FULL test.py:
285 variables:
286 TEST_PY_BD: "sandbox_noinst"
287 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
288 OVERRIDE: "-a CONFIG_SPL_LOAD_FIT_FULL=y"
289 <<: *buildman_and_testpy_dfn
290
Simon Glassa31eff32022-04-30 00:56:57 -0600291sandbox_vpl test.py:
292 variables:
293 TEST_PY_BD: "sandbox_vpl"
Simon Glass8b609872023-04-02 14:01:26 +1200294 TEST_PY_TEST_SPEC: "vpl or test_spl"
Simon Glassa31eff32022-04-30 00:56:57 -0600295 <<: *buildman_and_testpy_dfn
296
Simon Glass9cea4792023-01-15 14:16:00 -0700297# Enable tracing and disable LTO, to ensure functions are not elided
298sandbox trace_test.py:
299 variables:
300 TEST_PY_BD: "sandbox"
301 BUILD_ENV: "FTRACE=1 NO_LTO=1"
302 TEST_PY_TEST_SPEC: "trace"
Sughosh Ganu61cad8d2023-08-22 23:10:02 +0530303 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000"
Simon Glass9cea4792023-01-15 14:16:00 -0700304 <<: *buildman_and_testpy_dfn
305
Tom Rini699c0b92019-07-17 16:06:57 -0400306evb-ast2500 test.py:
Tom Rini699c0b92019-07-17 16:06:57 -0400307 variables:
308 TEST_PY_BD: "evb-ast2500"
309 TEST_PY_ID: "--id qemu"
Tom Rini699c0b92019-07-17 16:06:57 -0400310 <<: *buildman_and_testpy_dfn
311
Joel Stanleyb24087a2022-06-29 16:35:25 +0930312evb-ast2600 test.py:
313 variables:
314 TEST_PY_BD: "evb-ast2600"
315 TEST_PY_ID: "--id qemu"
316 <<: *buildman_and_testpy_dfn
317
Tom Rini1a62a722019-06-19 09:25:17 -0400318sandbox_flattree test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400319 variables:
320 TEST_PY_BD: "sandbox_flattree"
Tom Rini1a62a722019-06-19 09:25:17 -0400321 <<: *buildman_and_testpy_dfn
322
Kristian Amlie15e30102021-09-07 08:37:51 +0200323vexpress_ca9x4 test.py:
324 variables:
325 TEST_PY_BD: "vexpress_ca9x4"
326 TEST_PY_ID: "--id qemu"
327 <<: *buildman_and_testpy_dfn
328
Tom Rini1a62a722019-06-19 09:25:17 -0400329integratorcp_cm926ejs test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400330 variables:
331 TEST_PY_BD: "integratorcp_cm926ejs"
332 TEST_PY_TEST_SPEC: "not sleep"
333 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400334 <<: *buildman_and_testpy_dfn
335
336qemu_arm test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400337 variables:
338 TEST_PY_BD: "qemu_arm"
339 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400340 <<: *buildman_and_testpy_dfn
341
342qemu_arm64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400343 variables:
344 TEST_PY_BD: "qemu_arm64"
345 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400346 <<: *buildman_and_testpy_dfn
347
Marek Vasuta21e1122023-03-23 01:22:41 +0100348qemu_m68k test.py:
349 variables:
350 TEST_PY_BD: "M5208EVBE"
351 TEST_PY_ID: "--id qemu"
352 TEST_PY_TEST_SPEC: "not sleep and not efi"
353 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
354 <<: *buildman_and_testpy_dfn
355
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200356qemu_malta test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200357 variables:
358 TEST_PY_BD: "malta"
359 TEST_PY_TEST_SPEC: "not sleep and not efi"
360 TEST_PY_ID: "--id qemu"
361 <<: *buildman_and_testpy_dfn
362
363qemu_maltael test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200364 variables:
365 TEST_PY_BD: "maltael"
366 TEST_PY_TEST_SPEC: "not sleep and not efi"
367 TEST_PY_ID: "--id qemu"
368 <<: *buildman_and_testpy_dfn
369
370qemu_malta64 test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200371 variables:
372 TEST_PY_BD: "malta64"
373 TEST_PY_TEST_SPEC: "not sleep and not efi"
374 TEST_PY_ID: "--id qemu"
375 <<: *buildman_and_testpy_dfn
376
377qemu_malta64el test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200378 variables:
379 TEST_PY_BD: "malta64el"
380 TEST_PY_TEST_SPEC: "not sleep and not efi"
381 TEST_PY_ID: "--id qemu"
382 <<: *buildman_and_testpy_dfn
383
Tom Rini1a62a722019-06-19 09:25:17 -0400384qemu-ppce500 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400385 variables:
386 TEST_PY_BD: "qemu-ppce500"
387 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400388 <<: *buildman_and_testpy_dfn
389
Bin Menga379d332020-03-28 07:25:27 -0700390qemu-riscv32 test.py:
Bin Menga379d332020-03-28 07:25:27 -0700391 variables:
392 TEST_PY_BD: "qemu-riscv32"
393 TEST_PY_TEST_SPEC: "not sleep"
Bin Menga379d332020-03-28 07:25:27 -0700394 <<: *buildman_and_testpy_dfn
395
Tom Rini7298d822019-08-02 11:32:37 -0400396qemu-riscv64 test.py:
Tom Rini7298d822019-08-02 11:32:37 -0400397 variables:
398 TEST_PY_BD: "qemu-riscv64"
399 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini7298d822019-08-02 11:32:37 -0400400 <<: *buildman_and_testpy_dfn
401
Bin Meng49fb28a2020-03-28 07:25:29 -0700402qemu-riscv32_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700403 variables:
404 TEST_PY_BD: "qemu-riscv32_spl"
405 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700406 <<: *buildman_and_testpy_dfn
407
408qemu-riscv64_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700409 variables:
410 TEST_PY_BD: "qemu-riscv64_spl"
411 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700412 <<: *buildman_and_testpy_dfn
413
Tom Rini1a62a722019-06-19 09:25:17 -0400414qemu-x86 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400415 variables:
416 TEST_PY_BD: "qemu-x86"
417 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400418 <<: *buildman_and_testpy_dfn
419
420qemu-x86_64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400421 variables:
422 TEST_PY_BD: "qemu-x86_64"
423 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400424 <<: *buildman_and_testpy_dfn
425
Marek Vasut0e125752020-09-14 21:55:58 +0200426r2dplus_i82557c test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200427 variables:
428 TEST_PY_BD: "r2dplus"
429 TEST_PY_ID: "--id i82557c_qemu"
430 <<: *buildman_and_testpy_dfn
431
432r2dplus_pcnet test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200433 variables:
434 TEST_PY_BD: "r2dplus"
435 TEST_PY_ID: "--id pcnet_qemu"
436 <<: *buildman_and_testpy_dfn
437
438r2dplus_rtl8139 test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200439 variables:
440 TEST_PY_BD: "r2dplus"
441 TEST_PY_ID: "--id rtl8139_qemu"
442 <<: *buildman_and_testpy_dfn
443
444r2dplus_tulip test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200445 variables:
446 TEST_PY_BD: "r2dplus"
447 TEST_PY_ID: "--id tulip_qemu"
448 <<: *buildman_and_testpy_dfn
449
Bin Meng0e60b3a2021-08-26 23:33:35 +0800450sifive_unleashed_sdcard test.py:
451 variables:
452 TEST_PY_BD: "sifive_unleashed"
453 TEST_PY_ID: "--id sdcard_qemu"
454 <<: *buildman_and_testpy_dfn
455
456sifive_unleashed_spi-nor test.py:
457 variables:
458 TEST_PY_BD: "sifive_unleashed"
459 TEST_PY_ID: "--id spi-nor_qemu"
460 <<: *buildman_and_testpy_dfn
461
Michal Simekf7c6ee72020-02-13 15:03:29 +0100462xilinx_zynq_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400463 variables:
Michal Simekf7c6ee72020-02-13 15:03:29 +0100464 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rini1a62a722019-06-19 09:25:17 -0400465 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400466 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400467 <<: *buildman_and_testpy_dfn
468
469xilinx_versal_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400470 variables:
471 TEST_PY_BD: "xilinx_versal_virt"
472 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400473 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400474 <<: *buildman_and_testpy_dfn
475
476xtfpga test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400477 variables:
478 TEST_PY_BD: "xtfpga"
479 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400480 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400481 <<: *buildman_and_testpy_dfn
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700482
483coreboot test.py:
484 variables:
485 TEST_PY_BD: "coreboot"
486 TEST_PY_TEST_SPEC: "not sleep"
487 TEST_PY_ID: "--id qemu"
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700488 <<: *buildman_and_testpy_dfn